import 'package:sprintf/sprintf.dart';

/// 字符串格式化工具类
class StringFormatUtil {
  /// 格式化字符串
  static String formatStr(String str, String format) {
    return sprintf(str, [format]);
  }

  /// 格式化字符串,可以传多个占位符的文字
  static String formatStrArr(String str, List<String> formatArr) {
    return sprintf(str, formatArr);
  }

  /// 清除百分比符号
  static String removePercentSymbol(String str) {
    return str.replaceAll("%", "");
  }
}
